Bug 1473376 - [DOCS] Troubleshooting Kibana in 3.5 docs uses non-existent templates
[DOCS] Troubleshooting Kibana in 3.5 docs uses non-existent templates
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brandi
Junqi Zhao
Vikram Goyal
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 12:04 EDT by Steven Walter
Modified: 2017-09-11 10:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 10:37:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Walter 2017-07-20 12:04:26 EDT
Document URL: 
https://docs.openshift.com/container-platform/3.5/install_config/aggregate_logging.html

Section Number and Name: 
Troubleshooting Kibana

Describe the issue: 
For some of these workarounds, in previous versions you used logging-support-template to regenerate certain objects. Starting in 3.5, with the switch to ansible (away from templates), these templates no longer exist. 

Suggestions for improvement: 
We need to formulate new workarounds to the known issues. For instance, perhaps exporting existing oauthclient to a file, making edits, and recreating; or etc.


Additional information:
Comment 1 Jeff Cantrill 2017-08-22 07:55:40 EDT
(In reply to Steven Walter from comment #0)
> Document URL: 
> https://docs.openshift.com/container-platform/3.5/install_config/
> aggregate_logging.html
> 
> Section Number and Name: 
> Troubleshooting Kibana
> 
> Describe the issue: 
> For some of these workarounds, in previous versions you used
> logging-support-template to regenerate certain objects. Starting in 3.5,
> with the switch to ansible (away from templates), these templates no longer
> exist. 
> 
> Suggestions for improvement: 
> We need to formulate new workarounds to the known issues. For instance,
> perhaps exporting existing oauthclient to a file, making edits, and
> recreating; or etc.
> 
> 
> Additional information:

Document that is on master. Maybe we just need to update the official ones. https://github.com/openshift/origin-aggregated-logging/blob/master/docs/checking-efk-health.md#troubleshooting
Comment 7 Junqi Zhao 2017-08-29 05:27:05 EDT
LGTM, close it
Comment 8 openshift-github-bot 2017-08-29 16:30:59 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d60a11ce31b383c8c50313d3d3c7f06dbb2505f4
Bug 1473376 Update Troublehooting Kibana section

https://github.com/openshift/openshift-docs/commit/9cb646141d30f39dced7dbf3ce424b9f8e1678fc
Merge pull request #5080 from bmcelvee/BZ1473376

Bug 1473376 Update Troublehooting Kibana section
Comment 9 Brandi 2017-08-29 16:31:33 EDT
Thanks, @Junqi!

Note You need to log in before you can comment on or make changes to this bug.